Subject: Re: [PATCH v2] drm/imagination: Document pvr_device.power member

From: Stephen Rothwell <[email-masked]>
Date: Sat, 22 Nov 2025 14:46:19 +1100

Hi Matt,

On Fri, 21 Nov 2025 15:20:31 +0000 Matt Coster <[email-masked]> wrote:
>
> Based on the build target indicated in the report, I tried (and failed)
> to reproduce the reported warning using:
> 
>    make W=1 htmldocs
> 
> I was, however, able to get the reported warning (and verify that this
> patch clears it) using:
> 
>    scripts/kernel-doc -none drivers/gpu/drm/imagination/pvr_device.h
> 
> Does anyone have any ideas why my invocation of htmldocs didn't seem to
> have the same effect? Is it just simply that the relevant doc comment
> isn't pulled into any of the rst docs; in which case how did the
> linux-next build catch this warning?

I just do "make htmldocs" on the final linux-next tree each day, so I
have no idea what makes a difference, sorry.

-- 
Cheers,
Stephen Rothwell